Bug 446738 - Emacs frames unexpectedly resizing
Summary: Emacs frames unexpectedly resizing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 8
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-15 19:55 UTC by Damien Kick
Modified: 2009-01-09 06:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:30:47 UTC


Attachments (Terms of Use)

Description Damien Kick 2008-05-15 19:55:21 UTC
Description of problem:

Occasionally, the current selected emacs frame resizes without my having
requested it.  Here is the output from "C-h l"

<return> C-x b <return> d <return> C-x b <return> d
<return> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <switch-frame> C-x b E t s O r <tab> O
<tab> c <tab> <return> M-g 3 2 3 <return> <help-echo>
<help-echo> <help-echo> <switch-frame> <down-mouse-5>
<mouse-5> <double-down-mouse-5> <double-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <down-mouse-5> <mouse-5> <double-down-mouse-5>
<double-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<down-mouse-4> <mouse-4> C-x C-f <backspace> <return>
d d d d d d d <return> C-x b <return> d <return> C-x
b <return> <down> <left> <up> <return> C-x b <return>
d <return> C-x b <return> d <up> u x y e s <return>
<down> <down> <return> C-x b <return> <down> <return>
C-x b <return> <down> <return> C-x b <return> <down>
<return> C-x b <return> <up> d <up> <up> d <up> <up>
d <up> <up> <up> d d x y e s <return> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> g <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> d
x y e s <return> d d x y e s <return> g <switch-frame>
<switch-frame> <switch-frame> <help-echo> <switch-frame>
<help-echo> <escape> < C-s r e t r C-a C-s o n r e
p l a y f i n i s C-s C-a <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <switch-frame> C-x C-f E t
s w <backspace> S e <tab> . c <tab> <return> <escape>
< C-s o n r e p l a y f i n i s i <backspace> s <backspace>
h C-a C-v <help-echo> <help-echo> <switch-frame> <help-echo>
g <help-echo> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <up>
<up> <return> C-x b <return> C-g <help-echo> <help-echo>
C-h l

When I "C-x b", the frame went from 80x74 to something like three times that
area.  This does not happen every time and I haven't been able to detect a
pattern to when it does, other than it tends to happen on either "C-x b" or "C-x
C-f", frequently after having switched from one frame to another, and then
issuing a command which switches buffers.

Version-Release number of selected component (if applicable):

GNU Emacs 22.1.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.12.1) of 2007-11-06 on
xenbuilder2.fedora.redhat.com

How reproducible:

Happens intermittently

Additional info:

I've two monitors configured to display as one large workspace.

Comment 1 Damien Kick 2008-05-15 19:56:11 UTC
I should have specified that the very last "C-x b", at the end of the buffer, is
the one which resulted in the frame having been resized.

Comment 3 Bug Zapper 2008-11-26 10:42:53 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-01-09 06:30:47 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.